Subject: bug#14595: Erroneous composition of lambda in emacs-lisp buffers with prog-prettify-symbols enabled

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Jun 2013 19:17:36 +0300

> From: Ted Zlatanov <[email-masked]>
> Date: Sun, 16 Jun 2013 05:27:50 -0400
> 
> On Sun, 16 Jun 2013 05:01:48 +0200 Juanma Barranquero <[email-masked]> wrote: 
> 
> JB> On Sun, Jun 16, 2013 at 4:50 AM, Eli Zaretskii <[email-masked]> wrote:
> >> I wasn't aware of any inconsistent display or scrolling behavior in
> >> his description.  Juanma, can you repeat that description, which I
> >> probably missed?
> 
> JB> With a file containing 1000 identical lines "(lambda (x) x)", the
> JB> lambdas that were incorrectly composed depend on the direction you
> JB> scroll the buffer. Scrolling from the beginning towards the end (page
> JB> by page), I got about 30 errors, always in the same positions
> JB> (distributed non-uniformly). If you repeat the experiment, but go
> JB> immediately to the end and scroll up, you got a different number of
> JB> errors (double or so) at different possitions, also consistents from
> JB> one run to the next.
> 
> JB> I suppose that's what Ted is talking about.
> 
> Yes.  Again, I don't know if this is a problem worth fixing, I was just
> clarifying how it's inconsistent depending on the scroll direction.

It's not a problem.  There's no symmetry in how the display engine
handles scrolling up and down, so it exposes portions of the buffer to
font-lock differently depending on the direction of the scroll.